Subject: [Roll] Martin Vigoureux's No Objection on draft-ietf-roll-efficient-npdao-12: (with COMMENT)

From: Martin Vigoureux via Datatracker <[email-masked]>
Date: Thu, 27 Jun 2019 05:53:08 -0700

Martin Vigoureux has entered the following ballot position for
draft-ietf-roll-efficient-npdao-12: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-roll-efficient-npdao/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Hi,

thank you for this document.

I only have minor comments/questions:
* Please expand LLNs

* it's a bit pity that D flag is bit '0' in DCO and bit '1' in DCO-ACK

* 0x05 RPL Target and 0x06 Transit Information are RPL Control Message Options
but they are not really DCO Options as they MUST be present.

* it is not fully clear to me whether Path Sequence can or should be
incremented on DCO retry.

* I'm not sure this has any meaning (didn't have enough time to think about
this scenario) but what would happen if D sends a DAO which never reaches A and
A decides to send an unsolicited DCO. How would D react to receiving a message
with a sequence number which is smaller than the one it has sent? Is that an
issue?

* I feel that imposing the unused flags to be set to zero is not necessary.
MUST ignore the unspecified flags is sufficient.

---

From: Rahul Arvind Jadhav <[email-masked]>
Date: Sat, 29 Jun 2019 02:57:25 +0000

Thank you Martin for the review and feedback.
Please find my responses inline.

Thanks,
Rahul

Hi,

I only have minor comments/questions:
* Please expand LLNs
[RJ] Yes. Will add LLN in the terminology section. LLN term is not used anywhere before terminology section, so it should be ok to add in terminology section.

[RJ]: Yes!

* 0x05 RPL Target and 0x06 Transit Information are RPL Control Message Options but they are not really DCO Options as they MUST be present.
[RJ]: That's true! The document has inherited this terminology from 6550! But I don't think we can call "Options" anything else in this document.

* it is not fully clear to me whether Path Sequence can or should be incremented on DCO retry.
[RJ]: Section 4.3.3 clarifies that the Path Sequence in DCO should be copied from the DAO message in response to which this DCO is generated.
I had to add one more sentence here to clarify another condition, "When the DCO is generated in response to a DCO from upstream parent, the Path Sequence MUST be copied from the received DCO."

* I'm not sure this has any meaning (didn't have enough time to think about this scenario) but what would happen if D sends a DAO which never reaches A and A decides to send an unsolicited DCO. How would D react to receiving a message with a sequence number which is smaller than the one it has sent? Is that an issue?
[RJ] This is a possible scenario. Section 4.4. "DCO Base Rules" point 5 explains how to deal with this. Essentially the DCO would be dropped because the Path Sequence is old.

* I feel that imposing the unused flags to be set to zero is not necessary.
MUST ignore the unspecified flags is sufficient.
[RJ] Again the document has inherited the wordings as-is from the parent document (RFC 6550). Unless it is "needed" to be removed, I would prefer keeping it in sync. Please let know if you still believe we should remove the imposing statement. Thanks